JaxbEntityListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbEntityListener

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbEntityListener

    public class JaxbEntityListener

extends Object

Defines an entity listener to be invoked at lifecycle events for the entities that list this listener.

Java class for entity-listener complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="entity-listener">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="pre-persist" type="{http://java.sun.com/xml/ns/persistence/orm}pre-persist" minOccurs="0"/>
             <element name="post-persist" type="{http://java.sun.com/xml/ns/persistence/orm}post-persist" minOccurs="0"/>
             <element name="pre-remove" type="{http://java.sun.com/xml/ns/persistence/orm}pre-remove" minOccurs="0"/>
             <element name="post-remove" type="{http://java.sun.com/xml/ns/persistence/orm}post-remove" minOccurs="0"/>
             <element name="pre-update" type="{http://java.sun.com/xml/ns/persistence/orm}pre-update" minOccurs="0"/>
             <element name="post-update" type="{http://java.sun.com/xml/ns/persistence/orm}post-update" minOccurs="0"/>
             <element name="post-load" type="{http://java.sun.com/xml/ns/persistence/orm}post-load" minOccurs="0"/>
           </sequence>
           <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `clazz`
`protected String` | `description`
`protected JaxbPostLoad` | `postLoad`
`protected JaxbPostPersist` | `postPersist`
`protected JaxbPostRemove` | `postRemove`
`protected JaxbPostUpdate` | `postUpdate`
`protected JaxbPrePersist` | `prePersist`
`protected JaxbPreRemove` | `preRemove`
`protected JaxbPreUpdate` | `preUpdate`

Constructor Summary
`JaxbEntityListener()`

Method Summary
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getDescription()` Gets the value of the description property.
`JaxbPostLoad` | `getPostLoad()` Gets the value of the postLoad property.
`JaxbPostPersist` | `getPostPersist()` Gets the value of the postPersist property.
`JaxbPostRemove` | `getPostRemove()` Gets the value of the postRemove property.
`JaxbPostUpdate` | `getPostUpdate()` Gets the value of the postUpdate property.
`JaxbPrePersist` | `getPrePersist()` Gets the value of the prePersist property.
`JaxbPreRemove` | `getPreRemove()` Gets the value of the preRemove property.
`JaxbPreUpdate` | `getPreUpdate()` Gets the value of the preUpdate property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setPostLoad(JaxbPostLoad value)` Sets the value of the postLoad property.
`void` | `setPostPersist(JaxbPostPersist value)` Sets the value of the postPersist property.
`void` | `setPostRemove(JaxbPostRemove value)` Sets the value of the postRemove property.
`void` | `setPostUpdate(JaxbPostUpdate value)` Sets the value of the postUpdate property.
`void` | `setPrePersist(JaxbPrePersist value)` Sets the value of the prePersist property.
`void` | `setPreRemove(JaxbPreRemove value)` Sets the value of the preRemove property.
`void` | `setPreUpdate(JaxbPreUpdate value)` Sets the value of the preUpdate property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### prePersist

    protected JaxbPrePersist prePersist

### postPersist

    protected JaxbPostPersist postPersist

### preRemove

    protected JaxbPreRemove preRemove

### postRemove

    protected JaxbPostRemove postRemove

### preUpdate

    protected JaxbPreUpdate preUpdate

### postUpdate

    protected JaxbPostUpdate postUpdate

### postLoad

    protected JaxbPostLoad postLoad

### clazz

    protected String clazz

Constructor Detail

### JaxbEntityListener

    public JaxbEntityListener()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getPrePersist

    public JaxbPrePersist getPrePersist()

  Gets the value of the prePersist property.

  Returns:
    possible object is `JaxbPrePersist`

### setPrePersist

    public void setPrePersist(JaxbPrePersist value)

  Sets the value of the prePersist property.

  Parameters:
    `value` - allowed object is `JaxbPrePersist`

### getPostPersist

    public JaxbPostPersist getPostPersist()

  Gets the value of the postPersist property.

  Returns:
    possible object is `JaxbPostPersist`

### setPostPersist

    public void setPostPersist(JaxbPostPersist value)

  Sets the value of the postPersist property.

  Parameters:
    `value` - allowed object is `JaxbPostPersist`

### getPreRemove

    public JaxbPreRemove getPreRemove()

  Gets the value of the preRemove property.

  Returns:
    possible object is `JaxbPreRemove`

### setPreRemove

    public void setPreRemove(JaxbPreRemove value)

  Sets the value of the preRemove property.

  Parameters:
    `value` - allowed object is `JaxbPreRemove`

### getPostRemove

    public JaxbPostRemove getPostRemove()

  Gets the value of the postRemove property.

  Returns:
    possible object is `JaxbPostRemove`

### setPostRemove

    public void setPostRemove(JaxbPostRemove value)

  Sets the value of the postRemove property.

  Parameters:
    `value` - allowed object is `JaxbPostRemove`

### getPreUpdate

    public JaxbPreUpdate getPreUpdate()

  Gets the value of the preUpdate property.

  Returns:
    possible object is `JaxbPreUpdate`

### setPreUpdate

    public void setPreUpdate(JaxbPreUpdate value)

  Sets the value of the preUpdate property.

  Parameters:
    `value` - allowed object is `JaxbPreUpdate`

### getPostUpdate

    public JaxbPostUpdate getPostUpdate()

  Gets the value of the postUpdate property.

  Returns:
    possible object is `JaxbPostUpdate`

### setPostUpdate

    public void setPostUpdate(JaxbPostUpdate value)

  Sets the value of the postUpdate property.

  Parameters:
    `value` - allowed object is `JaxbPostUpdate`

### getPostLoad

    public JaxbPostLoad getPostLoad()

  Gets the value of the postLoad property.

  Returns:
    possible object is `JaxbPostLoad`

### setPostLoad

    public void setPostLoad(JaxbPostLoad value)

  Sets the value of the postLoad property.

  Parameters:
    `value` - allowed object is `JaxbPostLoad`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.